# $Revision: 1.37 $, $Date: 2011/12/01 08:03:12 $
Summary:	ISDN PRI channel interface library
Summary(pl.UTF-8):	Biblioteka interfejsu do kanałów PRI ISDN
Name:		libpri
Version:	1.4.12
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://downloads.digium.com/pub/libpri/%{name}-%{version}.tar.gz
# Source0-md5:	9de39b866f049cc20a4f431cc6245166
URL:		http://www.asterisk.org/
BuildRequires:	dahdi-linux-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ISDN PRI channel interface library.

%description -l pl.UTF-8
Biblioteka interfejsu do kanałów PRI ISDN.

%package devel
Summary:	Header files and development documentation for libpri
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libpri
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libpri.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libpri.

%package static
Summary:	libpri static library
Summary(pl.UTF-8):	Statyczna biblioteka libpri
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libpri static library.

%description static -l pl.UTF-8
Statyczna biblioteka libpri.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	COVERAGE_CFLAGS="%{rpmcflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT
sed -i s,/lib,/%{_lib},g Makefile
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,3},%{_includedir},%{_libdir}}

%{__make} install \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	LIBDIR=%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libpri.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpri.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpri.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpri.spec,v $
Revision 1.37  2011/12/01 08:03:12  arekm
- up to 1.4.12

Revision 1.36  2010/11/23 15:29:57  caleb
- Up to 1.4.11.5

Revision 1.35  2010/10/22 19:38:07  caleb
- Up to 1.4.11.4

Revision 1.34  2009/10/26 09:26:41  arekm
- up to 1.4.10.2

Revision 1.33  2009/08/08 11:08:00  hawk
- zaptel is obsolete

Revision 1.32  2009/07/25 21:42:15  arekm
- up to 1.4.10.1

Revision 1.31  2009/05/19 06:40:04  arekm
- up to 1.4.10

Revision 1.30  2009/01/21 19:12:09  arekm
- up to 1.4.9

Revision 1.29  2008/12/07 13:37:04  arekm
- up to 1.4.8

Revision 1.28  2008/08/21 20:12:17  arekm
- up to 1.4.7

Revision 1.27  2008/06/22 13:42:30  areq
- 1.4.4

Revision 1.26  2008/02/11 09:04:25  arekm
- really no bristuff here

Revision 1.25  2008-02-11 08:46:26  arekm
- revert bristuff. bristuffed library now in libpri-bristuff.spec

Revision 1.24  2008-02-09 13:13:07  arekm
- bristuff provides

Revision 1.23  2008-02-09 12:39:38  qboosh
- bcond desc

Revision 1.22  2008-02-09 10:26:16  arekm
- add bristuff bcond

Revision 1.21  2007-12-27 00:23:57  zbyniu
- up to 1.4.3

Revision 1.20  2007-10-30 21:21:51  aredridel
- 1.4.2

Revision 1.19  2007/09/18 08:07:12  arekm
- up to 1.4.1

Revision 1.18  2007/03/18 00:02:45  areq
- 1.4.0

Revision 1.17  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.15  2006/10/23 06:43:31  dzeus
- up to 1.2.4, rm unused Makefile.patch

Revision 1.14  2006/06/05 22:09:45  areq
- 1.2.3

Revision 1.13  2006/01/19 11:24:56  dzeus
- up to 1.2.2

Revision 1.12  2005/12/17 12:51:02  averne
- upadted to 1.2.1
- rel 1

Revision 1.11  2005/12/17 12:38:52  averne
- lib64 hack
- rel 2

Revision 1.10  2005/11/21 14:23:35  pawcioos
- updated to 1.2.0

Revision 1.9  2005/09/14 22:20:55  areq
- 1.0.9

Revision 1.8  2004/12/12 10:07:01  adamg
- updated to 1.0.3

Revision 1.7  2004/11/26 14:51:12  darekr
- updated to 1.0.2

Revision 1.6  2004/11/15 19:02:38  adamg
- hopefully fix build on amd64 (failed on %%install)
- pass CC and CFLAGS
- release 2

Revision 1.5  2004/10/07 10:37:14  qboosh
- simplified prep, gpm-friendly source URL

Revision 1.4  2004/09/24 23:20:32  mguevara
- update to 1.0.0
- url/ftp change

Revision 1.3  2004/08/30 19:05:01  aredridel
- up to 20040830

Revision 1.2  2004/04/10 09:16:06  qboosh
- cleanups, remaining pl

Revision 1.1  2004/04/09 19:59:14  aredridel
- added
